Bug 2037325 - CVE-2021-45290 binaryen: assertion abort in wasm::handle_unreachable [fedora-all]
Summary: CVE-2021-45290 binaryen: assertion abort in wasm::handle_unreachable [fedora-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: binaryen
Version: 35
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-45290
TreeView+ depends on / blocked
 
Reported: 2022-01-05 12:45 UTC by Marian Rehak
Modified: 2022-01-25 01:11 UTC (History)
1 user (show)

Fixed In Version: binaryen-105-1.fc34 binaryen-105-1.fc35
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-25 01:03:25 UTC
Type: ---


Attachments (Terms of Use)

Description Marian Rehak 2022-01-05 12:45:37 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Marian Rehak 2022-01-05 12:45:39 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2037323,2037325

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-01-12 09:59:59 UTC
FEDORA-2022-c0640fa82f has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c0640fa82f

Comment 3 Fedora Update System 2022-01-12 10:00:06 UTC
FEDORA-2022-19dcde908c has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-19dcde908c

Comment 4 Fedora Update System 2022-01-13 01:11:08 UTC
FEDORA-2022-c0640fa82f has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-c0640fa82f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-c0640fa82f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-01-13 01:49:33 UTC
FEDORA-2022-19dcde908c has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-19dcde908c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-19dcde908c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-01-17 02:01:05 UTC
FEDORA-2022-a662b2def6 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-a662b2def6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a662b2def6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-01-17 02:16:22 UTC
FEDORA-2022-9d18d4159e has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-9d18d4159e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-9d18d4159e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-01-25 01:03:25 UTC
FEDORA-2022-9d18d4159e has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-01-25 01:11:03 UTC
FEDORA-2022-a662b2def6 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.